aboutsummaryrefslogtreecommitdiffstats
path: root/community/heirloom-mailx/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/heirloom-mailx/APKBUILD')
-rw-r--r--community/heirloom-mailx/APKBUILD66
1 files changed, 66 insertions, 0 deletions
diff --git a/community/heirloom-mailx/APKBUILD b/community/heirloom-mailx/APKBUILD
new file mode 100644
index 0000000000..cfb322fba4
--- /dev/null
+++ b/community/heirloom-mailx/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: Isaac Dunham <ibid.ag@gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag@gmail.com>
+pkgname=heirloom-mailx
+pkgver=12.4
+pkgrel=0
+pkgdesc="A free clone of SysV mailx"
+url="http://heirloom.sourceforge.net/mailx.html"
+arch="all"
+license="BSD"
+depends=""
+makedepends="openssl-dev krb5-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://sourceforge.net/projects/heirloom/files/heirloom-mailx/$pkgver/mailx-$pkgver.tar.bz2
+ 12.4-to-12.5pre.patch
+ makevars.patch
+ 0001-outof-Introduce-expandaddr-flag.patch
+ 0002-unpack-Disable-option-processing-for-email-addresses.patch
+ 0003-fio_c-Unconditionally-require-wordexp-support.patch
+ 0004-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch
+ "
+
+_builddir="$srcdir"/mailx-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm 0644 COPYING "$pkgdir"/usr/share/licenses/"$pkgname"/COPYING || return 1
+ cd "$pkgdir"/usr/share/man/man1/ && mv mailx.1 "$pkgname".1
+}
+
+md5sums="0c93759e34200eb56a0e7c464680a54a mailx-12.4.tar.bz2
+a4a91391ada32a7b87ff5255d2f06c47 12.4-to-12.5pre.patch
+75abf9efc9fabee598d5500951073cb6 makevars.patch
+268353d063e6c962f02672ecec9cb77b 0001-outof-Introduce-expandaddr-flag.patch
+011a9c9a7d208b363bd548b84c710fa4 0002-unpack-Disable-option-processing-for-email-addresses.patch
+7455da8174ac31a3d1c5afd1a37d7f2d 0003-fio_c-Unconditionally-require-wordexp-support.patch
+19eaa6ee08c45db17b48d65b3eaca78b 0004-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch"
+sha256sums="92201e769fe346bc0364c87437a330ef3c97ab3e9d7b2235b93f509e85e5716a mailx-12.4.tar.bz2
+d3629782c2b4d676aadea823335a57c8ed5f86e6d6fde31b18313b9c070727bc 12.4-to-12.5pre.patch
+5df76dc08562bf12ab0c2ac1e32fe70f137c18258af29284448448f0b5848ace makevars.patch
+70c268a40d32215392c08f88c841a2125572879f954f4e165bbc8fe6ca1beff8 0001-outof-Introduce-expandaddr-flag.patch
+8bf07ea359daee7477765f1e4f4d7ba6d923a6937743f097a1940b87fe1bdd73 0002-unpack-Disable-option-processing-for-email-addresses.patch
+6902e1fb2c71b24d15db527e10e0bf6bc7e63a3048b7851174693cde92dddbc2 0003-fio_c-Unconditionally-require-wordexp-support.patch
+538285fabe1ede7f62013ced05b00b28e86b8c1543f6de73ee3b1c05a9c2ecec 0004-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch"
+sha512sums="a0e29972f552bd630ce1a14f70e61661815118520bcd4a00b6cad53f3270d3d08c835ff6982ba8800eb380a5b46f54eb6e60fb7533b5f41c916af45d29605af8 mailx-12.4.tar.bz2
+c2435c18b3e972a77bbaa1b915cae567cafcd65cba1710cd78e7b934d33662361aa1e72fb99d0f109945c603ec847552345a4a5c3ec64dbc307cbb811a6d74d0 12.4-to-12.5pre.patch
+b831544e92b0262b6d5276cb7e78427cb33fd09bc3cb2ffc398cb3f930f05764bcecc8e5b1743554dadc5e0bd791d56b4a72b7a05089db7170437dd5254b9080 makevars.patch
+fc5a22bf17e998c5228ff581388a3e2f8ffad9c70b46f7e94edc63d304e5e9576b59c57df07dc7e40cf234fc8b89bf2c52248592ad834fc4b4d29e25a673edc8 0001-outof-Introduce-expandaddr-flag.patch
+b10a5ec515ba447e828dbf4562b07b65bc2c812f0d731b244f77cc43152bf14200e40d218ebb080fd820dc18ed4666c4f66de579b562a9231d8a0e95b4c0bb25 0002-unpack-Disable-option-processing-for-email-addresses.patch
+c41ad1e90ebc6060ce0a7badfde5fc01b87c4c0c9eacf7e2f55444212cbd93097b37a3e426bcdcb4a565c1b0d16010996d9aca1d61c0d918a1d4acb41754d516 0003-fio_c-Unconditionally-require-wordexp-support.patch
+bee2afb9f691a5c7b715eaa9adb14afbde0694235bb22449741f464812276c3f44d1b90e8b07255d1378b941d2b14133161a1575c40605b0911d8e28afaf578a 0004-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch"